<?php
/*
 * Example Connect
 *
 * Copyright (c) 2019 GREYHOUND Software GmbH & Co. KG
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of Example Connect and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including without
 * limitation the rights to use, copy, modify, merge, publish, distribute,
 * sublicense, and/or sell copies of the Software, and to permit persons to
 * whom the Software is furnished to do so, subject to the following
 * conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

error_reporting(0);

require_once 'ghrpc/ghrpc.php';

$baseDir = str_replace('\\', '/', dirname(__FILE__)) . '/';
GhRpc::addAutoLoadPath($baseDir . 'core');

$ghAddonFrameworkPath = $baseDir . 'lib/ghAddonFramework';

if(file_exists($baseDir . 'config.inc.php'))
  include $baseDir . 'config.inc.php';

GhRpc::addAutoLoadPath($ghAddonFrameworkPath);


/**
 * Seitenleiste des Example Connect Addons.
 *
 * @package GhExampleConnect
 * @category Example Connect
 *
 * @author GREYHOUND Software GmbH &amp; Co. KG <develop@greyhound-software.com>
 * @copyright 2019 GREYHOUND Software GmbH &amp; Co. KG
 * @link greyhound-software.com
 */
class SidebarPage extends GhAddonSidebarPage
{
}

// Webseite anzeigen:
$page = new SidebarPage(new GhExampleAddon(), 'Example Seitenleiste');
$page->show();
